// 004 u_characters
// 10 dec 2004

// -- (C) Felix John COLIBRI 2004
// -- documentation: http://www.felix-colibri.com

(*$r+*)

unit u_characters;
  interface
    uses u_types_constants;

    type t_set_of_char= Set of Char;

    function f_lower_case(p_character: Char): Char;
    function f_set_of_characters_to_string(p_set_of_characters: t_set_of_characters): String;

  implementation

    function f_lower_case(p_character: Char): Char;
      begin
        if p_character in ['A'..'Z']
          then Result:= Chr(Ord(p_character)+ 32)
          else Result:= p_character;
      end; // f_lower_case

    function f_set_of_characters_to_string(p_set_of_characters: t_set_of_characters): String;
      var l_character: Char;
      begin
        Result:= '';
        for l_character:= chr(0) to chr(255) do
          if l_character in p_set_of_characters
            then Result:= Result+ l_character;
      end; // f_set_of_characters_to_string

  begin
  end.

