// 002 u_c_iterator
// 10 dec 2004

// -- (C) Felix John COLIBRI 2004
// -- documentation: http://www.felix-colibri.com

(*$r+*)

unit u_c_iterator;
  interface
    uses u_c_basic_object
        , u_c_glyph
        ;

    type c_abstract_iterator= class(c_basic_object)
                                _m_c_glyph_ref: c_glyph;

                                Constructor create_abstract_iterator(p_name: String;
                                    p_c_glyph_ref: c_glyph);
                                function f_display_iterator: String; Virtual;
                                procedure goto_first_glyph; Virtual;
                                procedure goto_next_glyph; Virtual;
                                function f_is_done: Boolean; Virtual; Abstract;
                                function f_c_current_glyph: c_glyph; Virtual;
                              end; // c_abstract_iterator

  implementation
    uses u_c_display;

    // -- c_abstract_iterator

    Constructor c_abstract_iterator.create_abstract_iterator(p_name: String;
        p_c_glyph_ref: c_glyph);
      begin
        Inherited create_basic_object(p_name);

        _m_c_glyph_ref:= p_c_glyph_ref;
      end; // create_abstract_iterator

    function c_abstract_iterator.f_display_iterator: String;
      begin
        Result:= m_name;
      end; // f_display_iterator

    procedure c_abstract_iterator.goto_first_glyph;
      begin
        display_bug_halt('goto_first_glyph Abstract');
      end; // goto_first_glyph

    procedure c_abstract_iterator.goto_next_glyph;
      begin
        display_bug_halt('goto_next_glyph Abstract');
      end; // goto_next_glyph

    function c_abstract_iterator.f_c_current_glyph: c_glyph;
      begin
        Result:= Nil;
        display_bug_halt('f_c_current_glyph Abstract');
      end; // f_c_current_glyph

    begin // u_c_abstract_iterator
    end. // u_c_abstract_iterator
